Bug 1443419 - Extract gtk30.mo files from all the Ubuntu langpacks and bundle them into the snap. p=kenvandine r=sfraser
authorJohan Lorenzo <jlorenzo@mozilla.com>
Wed, 07 Mar 2018 18:54:54 +0100
changeset 407135 7efade306e9e4f4aa9e1ec2e09c4b5641e6e6ff6
parent 407134 34950f11eab5980a2f4de82149e3129b5a339d88
child 407136 09b580ee681bd1b67e853e41b2bdb2754c3e9053
push id60811
push userjlorenzo@mozilla.com
push dateThu, 08 Mar 2018 06:47:00 +0000
treeherderautoland@7efade306e9e [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewerssfraser
bugs1443419
milestone60.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1443419 - Extract gtk30.mo files from all the Ubuntu langpacks and bundle them into the snap. p=kenvandine r=sfraser MozReview-Commit-ID: JB2PojGgike
taskcluster/docker/firefox-snap/runme.sh
taskcluster/docker/firefox-snap/snapcraft.yaml.in
--- a/taskcluster/docker/firefox-snap/runme.sh
+++ b/taskcluster/docker/firefox-snap/runme.sh
@@ -42,16 +42,23 @@ cp -v "$SCRIPT_DIRECTORY/firefox.desktop
 locales=$(python3 "$SCRIPT_DIRECTORY/extract_locales_from_l10n_json.py" "${WORKSPACE}/l10n_changesets.json")
 
 mkdir -p "$DISTRIBUTION_DIR/extensions"
 for locale in $locales; do
     $CURL -o "$SOURCE_DEST/distribution/extensions/langpack-${locale}@firefox.mozilla.org.xpi" \
         "$CANDIDATES_DIR/${VERSION}-candidates/build${BUILD_NUMBER}/linux-x86_64/xpi/${locale}.xpi"
 done
 
+# Extract gtk30.mo from Ubuntu language packs
+apt download language-pack-gnome-*-base
+for i in *.deb; do
+    # shellcheck disable=SC2086
+    dpkg-deb --fsys-tarfile $i | tar xv -C "$SOURCE_DEST" --wildcards "./usr/share/locale-langpack/*/LC_MESSAGES/gtk30.mo" || true
+done
+
 # Generate snapcraft manifest
 sed -e "s/@VERSION@/${VERSION}/g" -e "s/@BUILD_NUMBER@/${BUILD_NUMBER}/g" snapcraft.yaml.in > "${WORKSPACE}/snapcraft.yaml"
 cp -v "$SCRIPT_DIRECTORY/mimeapps.list" "$WORKSPACE"
 cd "${WORKSPACE}"
 snapcraft
 
 mv -- *.snap "$TARGET_FULL_PATH"
 
--- a/taskcluster/docker/firefox-snap/snapcraft.yaml.in
+++ b/taskcluster/docker/firefox-snap/snapcraft.yaml.in
@@ -43,18 +43,20 @@ parts:
       - libxt6
       - libdbus-glib-1-2
       - libasound2
       - libpulse0
       - libgl1-mesa-dri
       - libgl1-mesa-glx
       - libmirclient9
       - desktop-file-utils
+      - ffmpeg
       - xdg-utils
-      - ffmpeg
+      - libc-bin
+      - locales-all
     after: [desktop-gtk3]
 
   xdg-open:
     after: [firefox]
     plugin: nil
     source: .
     install: |
       set -eux